# Changed by Makefile of cvs.
# Please change this file only in cvs!

%define version 1.3
%define		    name drakfirsttime

Summary:	    The Mandriva Linux First Time Wizard
Name:		    %{name}
Version:	    %{version}
Release:        1mdk
#cvs source
# http://www.mandrivalinux.com/en/cvs.php3
Source0:	    %{name}-%{version}.tar.bz2
URL:		    http://qa.mandriva.com/
License:	    GPL
Group:		    System/Configuration/Other
Requires:	    drakxtools >= 10.1-0.17mdk, perl-MDK-Common >= 1.1.17-3mdk, perl-libwww-perl >= 5.800-1mdk
Requires:		xinitrc >= 2.4.9-1mdk, hwdb-clients >= 0.15.1-1mdk
#Obsoletes:		mdkonline
BuildRoot:	    %{_tmppath}/%{name}-buildroot
BuildRequires:  gettext perl-devel perl-MDK-Common-devel
BuildArch:		noarch

%description
The First Time Wizard is a config tool to help a Mandriva Linux user to
set up some basic things, like registration at Mandriva Club/Mandriva Expert
and Mandriva Online the first time the system boots.
This package also includes the drakclub wizard, to set the club urpmi
sources.

%prep
rm -rf %{buildroot}

%setup -q

%build

%install
rm -rf %{buildroot}
make prefix=%{buildroot} install

mkdir -p %buildroot%_prefix/X11R6/bin/

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): needs="x11" icon="drakclub.png" section="Configuration/Other" title="Club Services" longtitle="Wizard tool for Mandriva Club" command="/usr/sbin/drakclub"
EOF

#install lang
%{find_lang} drakfirstboot

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f drakfirstboot.lang
%defattr(-,root,root)
%doc README COPYING
%{_sysconfdir}/X11/xsetup.d/firstboot.xsetup
%config(noreplace) %{_sysconfdir}/sysconfig/firstboot
%{_prefix}/sbin/*
%{_datadir}/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Tue Sep 20 2005 Daouda LO <daouda@mandriva.com> 1.3-1mdk
- center exit dialog window on parent
- read existing mdkonline conf
- po updates

* Mon Sep 19 2005 Daouda LO <daouda@mandriva.com> 1.3-0.4mdk
- change xsetup file to source proxy.sh before running 
  drakfirsboot (cavassin)
- update translations

* Fri Sep 16 2005 Daouda LO <daouda@mandriva.com> 1.3-0.3mdk
- support http proxy settings (#18611)
- translation updates

* Tue Sep 13 2005 Daouda LO <daouda@mandriva.com> 1.3-0.2mdk
- po updates 
- fix #18249
- unified background to fit install colormap
- pass nointeractive option to mdkonline to create and upload config
- wizard steps building is decide at runtime
- layout cosmetics fixes

* Fri Sep  2 2005 Daouda LO <daouda@mandriva.com> 1.3-0.1mdk
- New layout similar to drakx install
- Generic mandriva account for all web services 
  (Mandriva Club, Mandriva Online, Mandriva Expert, ...)
- moved to SOAP technology on both client and server

* Fri Apr 29 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-1mdk
- switch to mandriva(pablo)
- po updates (pablo)

* Mon Apr  4 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-0.1mdk
- fixed club media setting (#14957)
- fixed lost focus when Next button is clicked (#14846)
- po updates

* Thu Mar 24 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-18mdk
- set_transient on real window (#14944)

* Wed Mar 16 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-17mdk
- don't set background
- requires root capabilities for drakclub

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-16mdk
- main loop fix

* Tue Oct 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-15mdk
- Fix wizard navigation with network off

* Fri Oct 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-14mdk
- New Italian and German translations
- Fix wizard navigation for powerpacks

* Thu Oct 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-13mdk
- Update translations and description

* Mon Oct 04 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-12mdk
- Rebuild for dependencies

* Mon Oct 04 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-11mdk
- updated translations

* Thu Sep 30 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-10mdk
- privacy test new layout
- same gui behaviour for download and powerpack firstboot wizard
- config file changed to 'noreplace'.
- po updates

* Fri Sep 24 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-9mdk
- fall cleanups
- final layout
- po updates

* Tue Sep 14 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-8mdk
- fixes in fr.po
- remove trailing '1' in vboxes

* Mon Sep 13 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-7mdk
- new questionnaire
- cosmetics changes 
- update po

* Mon Sep  6 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-6mdk
- requires on hwdb_clients
- upload config to hardware db

* Fri Sep  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1-5mdk
- fixed cursor
- fixed startup
- fixed l10n
- everything back in cvs

* Wed Sep  1 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-4mdk
- firstboot replaces firsttime (launched by system before dm greetings)
- cleanups 
- xsetup file to launch firstboot before (*dm greeters)
- Merging with mdkonline stuffs

* Tue Aug 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-3mdk
- require perl-IO-Stty

* Tue Aug 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-2mdk
- resync with cvs
- daoudapo fixes

* Mon Aug  9 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- survey:
  o use OptionMenu rather than editable Combo
  o preselect the country that was choosen at install time
  o reuse drakx country list
  o reuse drakx for guessing iso country code from string (#10664, #10665)
- big translation updates

* Fri Aug 06 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3.100mdk
- use dmrc file (removed obsoleted .wmrc, and .gnome2/gdm)

* Thu Jun 03 2004 Pixel <pixel@mandrakesoft.com> 1.0-2.100mdk
- rebuild (and get correct requires)

* Fri May 07 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-1.100mdk
- Integrated Basque translations

* Wed Mar 24 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- Increase 'contacting club..' timeout
- add proxy support (Olivier Blin)
- sane stty before spawning process
- sleep 2 seconds to allow pty creation

* Tue Mar 09 2004 David Baudens <baudens@mandrakesoft.com> 1.0-0.7mdk
- Update UI and some texts

* Tue Mar  2 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.6mdk
- sans 14 (fonts)
- po updates

* Tue Feb 24 2004 David Baudens <baudens@mandrakesoft.com> 1.0-0.5mdk
- New screenshots

* Tue Feb 24 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.4mdk
- correct typo in mail field
- po updates

* Tue Feb 24 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.3mdk
- questionnary fixes and addons (country id)
- remove mail wizard menu entry.
- Club media updates may be broken (no 10.0 commercial apps repository) 

* Fri Feb  6 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.2mdk
- increase timeout for expect to give time to retrieve hdlists
- better expect calls

* Mon Feb  2 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.1mdk
- release 1.0 
- when download versions, set questionary as first page
- Remove mail settings step
- Add Country selection
- Option Menu for desktops

* Wed Dec 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-4.2.93mdk
- rebuild for new rpm and perl requires

* Tue Oct 21 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-4.2.92mdk
- Don't echo password on console mode (use IO::Stty echo function)
   close Anthill #22 - Bugzilla #6148

* Fri Oct 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-4.1.92mdk
- resurrected mdkonline (separated from club wizard)

* Mon Sep 22 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-3mdk
- don't send the questionaire when no click was done on the gui.
- added missed login in evolution mail settings (thanx Tocman)
- disable mozilla mail settings (broken)
- give correct answers to the server.

* Tue Sep 16 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-1mdk
- a questionnaire will popup in downloaded edition (can be filled anonymously)
- send user language 
- updates desktop screenshots (KDE, Gnome and ICEWM)
- po updates

* Tue Aug 12 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-0.2mdk
- copy evolution skel files to user's home

* Mon Aug 11 2003 Daouda LO <daouda@mandrakesoft.com> 0.92-0.1mdk
- Added Evolution as mail client (Need testing)
- Merged with MandrakeOnline/Club wizard
- Update banners (david)
- Ask for root password to set up club urpmi media (Expect)
- fix 'gtk critical' messages
- better locale handling
- explicitly center main windows (drakmail, drakfw and drakclub)
- Obsoletes mdkonline 

* Tue Jul  8 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-14mdk
- fix autoreq/autoprov
- add packager tag

* Wed Jul 02 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.91-13mdk
- Taiwan issues

* Wed Mar 12 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-12mdk
- remove urpmi 'test' source (Deno request)
- Translation small fix in fr.po
- New gnome themes (#3190) -> thanx to jkeller

* Mon Mar 10 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-10mdk
- drakclub final urls, error handling (Tested with Deno)
- fix mail settings in kmail (#1741)
- po updates

* Thu Feb 27 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-9mdk
- kmail, knode settings fix (thanx to lmontel)
- support multi accounts configuration in kmail
- grayed entries when no choice in drakmail 
- po updates

* Mon Feb 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-8mdk
- new menu entry (update menu + clean menu)

* Mon Feb 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-7mdk
- fix UTF8 issue
- cleanup (menu entry for drakmail + icons)
- KDE themes updates.
- add urpmi club source if (drakfw + root) || drakonline
- po updates

* Fri Feb 21 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-6mdk
- New wizard drakmail (Mozilla + Kmail)
- add missing requires (reported by Regis)
- Mozilla/Kmail mail conf (#1741)
- Mandrake Registration field compliancy (#1742)
- update po.

* Mon Feb 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-5mdk
- po support/updates
- new pixmaps
- various fixes

* Mon Feb 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-4mdk
- code snapshot
		o no privacy step
		o Galaxy theme as default
		o Handle Mandrake club subscription (test case)
		o Merge Mandrakeclub and MandrakeOnline wizard (share wiz templates)
		o bugfixes : #418 #726 #1093 #1302 #1353	
				
* Sat Feb  8 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-3mdk
- snapshot

* Fri Jan 31 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-2mdk
- Update requires.
- Cleanup spec

* Wed Jan 29 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-1mdk
- complete rewriting + Gtk2 port

* Sat Sep 21 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-13mdk
- use mozilla instead of konqueror

* Sat Sep 21 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-12mdk
- add missing theme_kde_default.png 

* Thu Sep 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-10mdk
- update themes links on KDE (fbastok).
- latest po

* Tue Sep 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-9mdk
- xsetroot before execing xsession
- fix typo in locales fr (adesmond)
- set mouse cursor normal before exiting (gc)

* Wed Sep  4 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-8mdk
- check $ENV{DISPLAY} before starting drakfw. 

* Wed Sep  4 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-7mdk
- disable $ENV{TERM} check (thanx to Ludovic Paumier)

* Tue Sep  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-6mdk
- Wait cursor when setting background (gc)

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-5mdk
- cleanups

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-4mdk
- gconftool-2 for wm themes and application themes
- fix privacy text locales.

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-3mdk
- recenter browser window
- wait message while connecting to internet

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-2mdk
- add new pixmaps (Gnome)
- sanity checks (not runnable from console) 
- metacity new themes

* Wed Aug  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-1mdk
- update for 9.0 
- metacity theme configuration
- po updates 

* Thu Mar 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-26mdk
- set gtkrc for default gnome (Fcrozat)

* Fri Mar  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-25mdk
- fixed typo in gnome/sawfish default theme

* Fri Mar  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-24mdk
- parse .gnome/gdm correctly (thx to FredC)
- add .desktop in home to save session from init 3
- wait_message while connnecting to mandrakeonline.
- sawmill default preference 

* Sun Mar  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-23mdk
- prevent frameless browser at "low" resolution (800x600)
- integrated po (please use the cvs for any modif)

* Thu Feb 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.15-22mdk
- integrated Basque translations

* Tue Feb 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-21mdk
- locales handling returns back to install.
- code update (themes).

* Sun Feb 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-20mdk
- autologin fix
- Cancel button grab focus
- Connection status bar
- resync with Van der Eijk build (please use the cvs - soft/ftw)

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.15-19mdk
- BuildRequires

* Thu Feb 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-18mdk
- put system instead of backticks when launching browser
- create Home Documents directory	

* Wed Feb 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-17mdk
- default browser is konqueror. 
- Justify text.
- respect chooser (kdm/gdm) choice when cancel button clicked .
- cleanup.

* Mon Jan 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-16mdk
- code release
- new pixmaps

* Fri Nov 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-15mdk
- code cleanup.

* Tue Oct 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-14mdk
- code update

* Tue Oct 16 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-13mdk
- rebuild against libpng3
- add doc.


* Wed Oct  3 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-12mdk
- handle specific charset (CN,uk,ja...)

* Wed Oct  3 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-11mdk
- euro support fix when using kde themes.
- add kdektoprc, konquerorrc files. 
- cleanup code (on process)

* Mon Oct  1 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-10mdk
- fix sawfish themes.

* Tue Sep 25 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-9mdk
- fr.po

* Tue Sep 25 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-8mdk
- cvs update
- po updates

* Mon Sep 24 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-7mdk
- code update.
- fix themes selection. 

* Sun Sep 23 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-6mdk
- code update (cleanup)

* Sun Sep 23 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-5mdk
- code update
- fix lang handling
- set mouse cursor to normal

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-4mdk
- code update 
- spec cleanup

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-3mdk
- code update

* Mon Sep 17 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-2mdk
- code snapshot
- add mail client configuration page (kmail and netscape).

* Fri Sep  7 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-1mdk
- First mandrake package ( alpha release ) 

